<template>
<section>
    <div>
        <img :src="require('@/assets/bannerTop2.png')" class="img-fluid" />
    </div>

    <div class="container">
        <hr>

        <h5 class="text-primary">INFORMACIÓN PERSONAL</h5>
        <hr>
        <b-form>
            <div class="form-row">
                <div class="form-group col-md-4">
                    <label>Nombre(s)</label>
                    <b-input v-model="user.nombre" type="text" class="form-control" placeholder=""></b-input>
                </div>
                <div class="form-group col-md-4">
                    <label>Primer apellido</label>
                    <b-input v-model="user.primerApellido" type="text" class="form-control" placeholder=""></b-input>
                </div>
                <div class="form-group col-md-4">
                    <label>Segundo apellido</label>
                    <b-input v-model="user.segundoApellido" type="text" class="form-control" placeholder=""></b-input>
                </div>
                <div class="row">
                    <div class="col form-group ">
                        <label>CURP</label>
                        <b-input v-model="user.curp" type="text" class="form-control" placeholder="" disabled></b-input>
                    </div>

                    <div class="col form-group " v-show="user.nombreRol == 'ASPIRANTE'">
                        <label>Fecha de nacimiento</label>
                        <b-input v-model="fechaNacimiento" type="text" class="form-control" placeholder=""></b-input>
                    </div>

                    <div class="col form-group ">
                        <label>Género</label>
                        <b-input v-model="user.sexo" type="text" class="form-control" placeholder=""></b-input>
                    </div>
                </div>

                <div class="form-group col-md-6" v-show="user.nombreRol != 'ASPIRANTE'">
                    <label>Correo electrónico institucional</label>
                    <b-input v-model="user.correoInstitucional" type="text" class="form-control" placeholder=""></b-input>
                </div>
                <div class="form-group col-md-6">
                    <label>Correo electrónico personal</label>
                    <b-input v-model="user.correoPersonal" type="text" class="form-control" placeholder=""></b-input>
                </div>
                <div class="col" v-show="user.nombreRol != 'ASPIRANTE'">
                    <div class="row">
                        <div class="col" >
                            <label>Nivel maximo de estudios</label>
                            <b-input v-model="user.nivelMaximo" type="text" class="form-control" placeholder=""></b-input>
                        </div>

                        <div class="col" >
                            <label>Cedula profesional</label>
                            <b-input v-model="user.cedula" type="text" class="form-control" placeholder=""></b-input>
                        </div>
                    </div>

                    <div class="row">
                        <div class="form-group col">
                            <label>Puesto</label>
                            <b-input disabled="" v-model="user.nombreRol" type="text" class="form-control" placeholder=""></b-input>
                        </div>

                        <div class="form-group col">
                            <label>Semblanza</label>
                            <b-textarea  v-model="user.semblanza" type="text" class="form-control" placeholder=""></b-textarea>
                        </div>
                    </div>

                </div>

            </div>
        </b-form>
        <div v-show="user.nombreRol === 'ASPIRANTE' ">
            <h5 class="text-primary">DOMICILIO ACTUAL</h5>
        <hr>
        <b-form>
            <div class="form-row">
                <div class="form-group col-md-4">
                    <label>Estado</label>
                    <b-input v-model="user.estado" type="text" class="form-control" placeholder=""></b-input>
                </div>
                <div class="form-group col-md-4">
                    <label>Municipio</label>
                    <b-input v-model="user.municipio" type="text" class="form-control" placeholder=""></b-input>
                </div>
                <div class="form-group col-md-4">
                    <label>Colonia</label>
                    <b-input v-model="user.colonia" type="text" class="form-control" placeholder=""></b-input>
                </div>
                <div class="form-group col-md-4">
                    <label>Calle</label>
                    <b-input v-model="user.calle" type="text" class="form-control" placeholder=""></b-input>
                </div>
                <div class="form-group col-md-4">
                    <label>Número de casa</label>
                    <b-input v-model.number="user.numeroCasa" type="text" class="form-control" placeholder=""></b-input>
                </div>
                <div class="form-group col-md-4">
                    <label>Código postal</label>
                    <b-input v-model.number="user.codigoPostal" type="text" class="form-control" placeholder=""></b-input>
                </div>
                <div class="form-group col-md-4">
                    <label>Teléfono de casa</label>
                    <b-input v-model="user.telefonoCasa" type="text" class="form-control" placeholder=""></b-input>
                </div>
                <div class="form-group col-md-4">
                    <label>Teléfono móvil</label>
                    <b-input v-model="user.telefonoMovil" type="text" class="form-control" placeholder=""></b-input>
                </div>
            </div>
        </b-form>

        </div>
        
    </div>
</section>
</template>

<script>

export default {
  data() {
        return {
            user:[]
        }
    },
    mounted(){
        if(localStorage.getItem('usuario')){
          this.user = JSON.parse(localStorage.getItem('usuario'));
        }
    },
    created(){
        this.limitar();
    },
    methods:{
        limitar(){         
        this.fechaNacimiento = this.session.response.response[0].fechaNacimiento.substring(0,10)
        }
    }
  }
</script>
